Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Interface AnnotationParser.DiscoverableAnnotationHandler

All Known Implementing Classes:
  AbstractDiscoverableAnnotationHandler, ContainerInitializerAnnotationHandler, WebFilterAnnotationHandler, WebListenerAnnotationHandler, WebServletAnnotationHandler

Enclosing class:
  AnnotationParser

    public static interface AnnotationParser.DiscoverableAnnotationHandler

Method Summary
`void` | `handleClass(java.lang.String className, int version, int access, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`
`void` | `handleField(java.lang.String className, java.lang.String fieldName, int access, java.lang.String fieldType, java.lang.String signature, java.lang.Object value, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`
`void` | `handleMethod(java.lang.String className, java.lang.String methodName, int access, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions, java.lang.String annotation, java.util.List<AnnotationParser.Value> values)`

Method Detail

### handleClass

    void handleClass(java.lang.String className,
                     int version,
                     int access,
                     java.lang.String signature,
                     java.lang.String superName,
                     java.lang.String[] interfaces,
                     java.lang.String annotation,
                     java.util.List<AnnotationParser.Value> values)

### handleMethod

    void handleMethod(java.lang.String className,
                      java.lang.String methodName,
                      int access,
                      java.lang.String desc,
                      java.lang.String signature,
                      java.lang.String[] exceptions,
                      java.lang.String annotation,
                      java.util.List<AnnotationParser.Value> values)

### handleField

    void handleField(java.lang.String className,
                     java.lang.String fieldName,
                     int access,
                     java.lang.String fieldType,
                     java.lang.String signature,
                     java.lang.Object value,
                     java.lang.String annotation,
                     java.util.List<AnnotationParser.Value> values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.